Subject: Re: Telnetd hangs for a while before giving login prompt
From: Danilo Turina <[email-masked]>
To: [email-masked]
Date: Thu, 28 Nov 2002 12:55:13 +0100

Raghav wrote:

> Hi,
>
> 	I have installed cygwin 1.3.16 on my win2k workstation. I have installed
> inetd as a service and am running it as localsystem. I have created
> passwd/group files for local users only, not domain users. rlogin is 
> working
> without any problem. But if I try to telnet my machine, it hangs for 
> about 3
> minutes or so before giving me the login prompt. This happens only if 
> I have
> logged into the domain. Even if i remove the network cable from my 
> machine,
> Prompt will appear quickly. There is no problem with reverse dns lookup --
> nslookup works fine both for forward and reverse lookups. Any clue what
> might be wrong? or is it a bug in telnetd?

I have the same identical problem since 1.3.13 or maybe 1.3.12.
But I have not been able to track down the causes.
On October 14th I posted this message:

Danilo Turina wrote:

> I also have this problem since one or two months: when I try to telnet
> to my win2k box from another host (or from the same machine) I have to
> wait approx. 1 min. before the login prompt displays (but I see
> "Trying", "Connected" and "Escape character is '^]'" immediately).
>
> Launching "in.telnetd -debug" doens't work for me: it immediately asks
> to me username and password but no credentials are accepted
> (administrator, non-administrator, no user is accepted).
>
> On the contrary rlogin works properly (I always wait 5/6 seconds before
> the password prompt, but it works).
>
> Trying to better understand the problem I used File Monitor from
> sysinternals (www.sysinternals.com) a free tool that monitors access to
> file system by windows processes.
>
> All access made by telnet, telnetd, etc. seems to be ok, but I saw a
> suspect operation:
>
> process:            System:1876
> operation:            IRP_MJ_CREATE
> file:                \\.terminfo\IPC$
> returncode:            BAD NETWORK PATH
> other information:    Attributes: N Options: OpenIf
>
> This operation is performed by System process every 3/4 seconds for
> several times.
> This does not happen for rlogin.
>
> Can anyone explation what does it means and if it can be correlated to
> our problem?
>
> -------------------------------------
> Danilo Turina
> Alcatel Optics OND Network Management
> Rieti (Italy) - Phone: +39 746 600332
> -------------------------------------
>
> 1 anno 6 mesi 5 giorni 53 minuti 58 secondi
>
>
> -- 
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/